Bug 331979 - kOrganizer does not display / import all events from ical file
Summary: kOrganizer does not display / import all events from ical file
Status: RESOLVED WORKSFORME
Alias: None
Product: korganizer
Classification: Applications
Component: import/export (show other bugs)
Version: 4.12.3
Platform: Kubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL: http://www.ifeiertage.de/bw-.ics
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-10 16:07 UTC by Gunter Ohrner
Modified: 2022-03-30 21:14 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of not displayed ics event (154.35 KB, image/png)
2018-01-09 19:35 UTC, Alexander Görtz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gunter Ohrner 2014-03-10 16:07:22 UTC
After importing http://www.ifeiertage.de/bw-.ics as a new Calendar, some holidays like Easter are not shown in kOrganizer.

Additionally, changing attributes of the imported Calendar as its display name often cause all of the calendar's events to be hidden and a manual refresh in the calendar's context menu is necessary for the events to show up again.

Reproducible: Always

Steps to Reproduce:
1. Import the ICS file found at http://www.ifeiertage.de/bw-.ics as a new calendar.
Actual Results:  
The imported calendar will contain some events like the Day of Work on 1th of May, but will not show holidays like Eastern on 21th of April.

Expected Results:  
All events contained in the iCal file should be imported and displayed.

I don't know if the iCal file is fully standards compliant and I don't know an easy way to verify this.
Comment 1 Denis Kurz 2016-09-24 18:52:02 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of korganizer (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 2 Gunter Ohrner 2016-09-24 23:28:16 UTC
Mh, for me kOrganizer 5.3.0 does not show *any* event if I import the abovementioned calendar...

The iCal file still looks good, however, and has lots of year-specific events and also lots of recurring events starting in the year 2000. (Maybe the difference between specific and recurring events caused the original bug.)
Comment 3 Alexander Görtz 2018-01-09 19:35:48 UTC
Created attachment 109774 [details]
Screenshot of not displayed ics event

I have the same issue if I import ics files generated from Ciscos WebEX products.
The strange thing is that the event is there if I check with Akonadi Console.

I'm on the "latest" Kontact/Korganizer Version 5.7.0. I'm currently not at liberty to share the .ics file, but I added a Screenshot.
Comment 4 gjditchfield 2022-03-30 21:14:20 UTC
http://www.ifeiertage.de/bw-.ics is no longer available.

I think it was a website that generated iCalendar files containing holidays?
If so, could you use a holiday calendar chosen from
Settings → Configure KOrganizer... → Time and Date instead?